//====================================================================
//                                                   CandleTimeV.mq4
//                                                   by Derk Wehler
//                                             derkwehler@gmail.com
// Version "V" has text vertical @ 90 degrees
//====================================================================

#property copyright "Copyright  2005, Derk Wehler"
#property link      "http://www.ArrogantFxBastards.com"

#property indicator_chart_window
extern bool		UseComment			= false;
extern color 	TextColor			= Aqua;
extern int	 	TextSize			= 8;
extern string	TextFont			= "Verdana";

double s1[];

//+------------------------------------------------------------------+
int deinit()
{
	ObjectDelete("time");
	return(0);
}
//+------------------------------------------------------------------+
int start()
   {
	double	i;
	int		m, s;
	string	output;
	
	m = Time[0] + Period() * 60 - CurTime();
	i = m / 60.0;
	s = m % 60;
	m = (m - m % 60) / 60;
	output = m + ":";
	if(m<10) output="0"+output;
	if(s<10) output=output+"0"+s+" left to bar end";
	else output=output+s+" left to bar end";
	
	if (UseComment) Comment(output);
	else
	  {
	  ObjectDelete("time");
	  ObjectCreate("time", OBJ_TEXT, 0, Time[0], Close[0]+0.0005);
	  ObjectSetText("time", output, TextSize, TextFont, TextColor);
	  ObjectSet("time",OBJPROP_ANGLE,90);
	  }
	return(0);
   }
//+------------------------------------------------------------------+



